#!/bin/sh

if [ "$(id -u)" != "0" ]; then
   echo "This script must be run as root" 1>&2
   exit 1
fi

echo "creating directory /usr/local/libexec for the binary"
mkdir /usr/local/libexec

echo "copying the plist to the LaunchDaemons"
cp -Rp ./FanControlDaemon.plist /Library/LaunchDaemons/
chown root:wheel /Library/LaunchDaemons/FanControlDaemon.plist

echo "copying the binary to /usr/local/libexec"
cp -Rp ./FanControlDaemon /usr/local/libexec
chown root:wheel /usr/local/libexec/FanControlDaemon

echo "stopping the daemon if there is already one"
launchctl unload /Library/LaunchDaemons/FanControlDaemon.plist

echo "starting the daemon by hand so we avoid a restart"
launchctl load /Library/LaunchDaemons/FanControlDaemon.plist

echo
echo "simply doubleclick the prefpane to install it"
